
      SUBROUTINE special (flag,cmd,tra,ntim,ncol,
     >                    vars,times,param,nparam,outfile)

c     ***************************************************************************
c     *                                                                         *
c     * OUTPUT:  flag           -> 1 if trajectory is selected, 0 if not        *
c     *                                                                         *
c     * INPUT:   cmd            <- command string                               *
c     *          tra(ntim,ncol) <- single trajectory: indices time,column       *
c     *          ntim           <- number of times                              *
c     *          ncol           <- number of columns (including time,lon,lat,p) *
c     *          vars(ncol)     <- names of columns                             *
c     *          times(ntim)    <- List of times
c     *          param(nparam)  <- parameter values                             *
c     *          nparam         <- number of parameters                         *
c     *                                                                         *
c     ***************************************************************************

      implicit none
      
c     ---------------------------------------------------------------------------
c     Declaration of subroutine parameters
c     ---------------------------------------------------------------------------

      integer       flag           ! Boolean flag whether trajectory is selected
      character*80  cmd            ! Command string
      integer       ntim,ncol      ! Dimension of single trajectory
      real          tra(ntim,ncol) ! Single trajectory
      character*80  vars(ncol)     ! Name of columns
      real          times(ntim)    ! List of times
      integer       nparam         ! # parameters
      real          param(nparam)  ! List of parameters
      character*80  outfile        ! Name of output file

c     ---------------------------------------------------------------------------
c     Call subroutines
c     ---------------------------------------------------------------------------

      if ( cmd.eq.'WCB' ) then

         call special_wcb (flag,cmd,tra,ntim,ncol,
     >                     vars,times,param,nparam,outfile)


      elseif ( cmd.eq.'STT' ) then

         call special_stt (flag,cmd,tra,ntim,ncol,
     >                     vars,times,param,nparam,outfile)

      else
         
         print*,' ERROR: special criterion ',trim(cmd),' not found'
         stop
        
      endif


      end
